package restassuredblog;

import io.restassured.RestAssured;
import io.restassured.http.Header;
import io.restassured.response.Response;



import org.testng.annotations.Test;
import org.testng.asserts.SoftAssert;


public class QueryParameterTest {

    @Test
    public void verifyQueryParameters() {
    	 SoftAssert softAssert = new SoftAssert();
    	 String baseUrl ="https://gorest.co.in";

         String endpoint = "/public/v2/users";
         
         String page = "2";
         
    	 Response response = RestAssured.given()
                 .baseUri(baseUrl)
                 .queryParam("page", page)
                 .headers("Content-Type", "application/json")
                 .header(new Header("Cache-Control", "no-cache"))
                 .when()
                 .get(endpoint)
                 .then().log().all().extract().response();

    	  int statusCode = response.getStatusCode();
	        
	    	softAssert.assertEquals(statusCode, 200, "Response code is not 200");

	        softAssert.assertAll();
    }
    
 
}
